args = commandArgs(TRUE)
library(kernplus)
if (args[1] == "WT5" | args[1] == "WT6"){
  type = "Offshore" 
  thirdCovariate = c(3,5,7,6,4)
} else {
  type = "Inland"
  thirdCovariate = c(3:5)
  }
data= read.csv(paste0(type," Wind Farm Dataset1(",args[1],").csv"))
data = data[,-1]
set.seed(1)
cv_sample = sample(nrow(data))
folds = cut(seq(1:length(cv_sample)),breaks = 5, labels = F)
CV_Err = matrix(NA, nrow = 5, ncol = (length(thirdCovariate)+1))
for (f in 1:5){
    testindex = cv_sample[which(folds == f,arr.ind = T)]
    train_data = data[-testindex,]
    test_data = data[testindex,]
    y_pred = kp.pwcurv(y = train_data[,ncol(data)], x = train_data[,c(1,2)], x.new = test_data[,c(1,2)], id.spd = 1, id.dir = 2)
    removeRow = which(is.na(y_pred)==T)
    if (length(removeRow)!=0){
      CV_Err[f,1] = sqrt(mean((test_data[-removeRow,ncol(data)]-y_pred[-removeRow])^2))
    } else {
      CV_Err[f,1] = sqrt(mean((test_data[,ncol(data)]-y_pred)^2))
    }
    for (j in 1:length(thirdCovariate)){
        y_pred = kp.pwcurv(y = train_data[,ncol(data)], x = train_data[,c(1,2,thirdCovariate[j])], x.new = test_data[,c(1,2,thirdCovariate[j])], id.spd = 1, id.dir = 2)
        removeRow = which(is.na(y_pred)==T)
        if (length(removeRow)!=0){
          CV_Err[f,j+1] = sqrt(mean((test_data[-removeRow,ncol(data)]-y_pred[-removeRow])^2))
        } else {
          CV_Err[f,j+1] = sqrt(mean((test_data[,ncol(data)]-y_pred)^2))
        }
    }
}
RMSE =  colMeans(CV_Err)
ErrChange = (RMSE[1] - RMSE[2:(length(thirdCovariate)+1)] )*100/RMSE[1]
cat(args[1]," RMSE: ",round(RMSE,2),"\n")
cat("Percent Change:",round(c(NA,ErrChange),1),"\n")


