args = commandArgs(TRUE)
library(kernplus)
data= read.csv(paste0("Inland Wind Farm Dataset1(",args[1],").csv"))
data = data[,-1]
set.seed(5)
cv_sample = sample(nrow(data))
folds = cut(seq(1:length(cv_sample)),breaks = 5, labels = F)
CV_Err = matrix(NA, nrow = 5, ncol = 4)
for (f in 1:5){
  testindex = cv_sample[which(folds == f,arr.ind = T)]
  train_data = data[-testindex,]
  test_data = data[testindex,]
  for (j in 1:4){
    if (j==1){
      covariates = c(1:3)
    } else if (j == 2){
      covariates = c(1:4)  
    } else if (j == 3){
      covariates = c(1,2,3,5)  
    } else {
      covariates = c(1:5)
    }
    y_pred = kp.pwcurv(y = train_data[,ncol(data)], x = train_data[,covariates], x.new = test_data[,covariates], id.spd = 1, id.dir = 2)
    removeRow = which(is.na(y_pred)==T)
    if (length(removeRow)!=0){
      CV_Err[f,j] = sqrt(mean((test_data[-removeRow,ncol(data)]-y_pred[-removeRow])^2))
    } else {
      CV_Err[f,j] = sqrt(mean((test_data[,ncol(data)]-y_pred)^2))
    }
  }
}
RMSE = colMeans(CV_Err)
cat(args[1], round(RMSE,2),"\n")
