source("amkFunctionLib.r")
args = commandArgs(TRUE)
if (args[1] == "WT5" | args[1] == "WT6"){type = "Offshore"} else {type = "Inland"}
data= read.csv(paste0(type," Wind Farm Dataset1(",args[1],").csv"))
data = data[,-1]
colnames(data)[ncol(data)] = "Power"
rho_0 = 1.225
V_prime = data$V*((data$air.density/rho_0)^(1/3)) 
data = data.frame(data,V_prime)
set.seed(5)
cv_sample = sample(nrow(data))
folds = cut(seq(1:length(cv_sample)),breaks = 5, labels = F)
CV_Err = rep(NA,5)
for (f in 1:5){
  testindex = cv_sample[which(folds == f,arr.ind = T)]
  train_data = data[-testindex,]
  test_data = data[testindex,]
  y_pred = binning(train.y = train_data$Power,train.x = train_data$V_prime, bin_width = 0.5, test.x = test_data$V_prime)
  CV_Err[f] = sqrt(mean((test_data$Power-y_pred)^2))
}
RMSE = mean(CV_Err)
cat(args[1],round(RMSE,2),"\n")

