library(BayesTree)
source("amkFunctionLib.r")
args = commandArgs(TRUE)
if (args[1] == "WT5" | args[1] == "WT6"){type = "Offshore"} else {type = "Inland"}
data= read.csv(paste0(type," Wind Farm Dataset1(",args[1],").csv"))
data = data[,-1]
colnames(data)[ncol(data)] = "Power"
set.seed(5)
train = sample(nrow(data),round(0.8*nrow(data)))
train_data = data[train,]
set.seed(10) 
sample_train_data = train_data[sample(nrow(train_data),round(0.25*nrow(train_data))),]
bandwidth.x = computeBandwidthX(train.y = train_data[,ncol(data)],train.x = train_data[,c(1:2)],id.dir = 2, units.dir = "degrees")
bandwidth.y = computeBandwidthY(sample_train_data[,ncol(data)],sample_train_data[,c(1:2)],bandwidth.x,id.spd = 1, id.dir = 2, units.dir = "degrees")
cat("Bandwidth.y:",bandwidth.y,"\n")
test_data = data[-train,]
set.seed(10)
sample_test_data = test_data[sample(nrow(test_data),1000),]
CRPS = rep(NA,5)
for(i in 2:4){
  covariates = c(1:i)
  bandwidth.x = computeBandwidthX(train.y = train_data[,ncol(data)],train.x = train_data[,covariates],id.dir = 2, units.dir = "degrees")
  CRPS[i-1] = ComputeCRPS(test.y = sample_test_data[,ncol(data)],test.x = sample_test_data[,covariates],train.x = train_data[,covariates], train.y = train_data[,ncol(data)],bandwidth.y = bandwidth.y,bandwidth.x = bandwidth.x)
}
for(i in 3:4){
  covariates = c(1:i)
  BART.fit = bart(x.train = train_data[,covariates], y.train = train_data[,ncol(train_data)], x.test = sample_test_data[,covariates],keeptrainfits = F,verbose = F)
  yhat.test = BART.fit$yhat.test
  CRPS[i+1] = ComputeBartCRPS(yhat.test,sample_test_data[,ncol(data)])
}
cat(args[1],round(CRPS,2),"\n")
